#include <iostream>

using namespace std;
void Razmeni (int *x, int *y){
    int t=*x;
    *x=*y;
    *y=t;

}
int maxxx(int a[],int n, int x,int *poz){
    int maxx=a[x];
    for(int i=x+1; i<n; i++){
        if(maxx<=a[i]){
            maxx=a[i];
            *poz = i;
        }
    }
    return maxx;
}
int main()
{
    int n;
    cin>>n;
    int a[n];
    int poz=0,br=0;
    bool radi=true;
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    for(int i=0; i<n&&radi; i++){
        if(a[i]!=maxxx(a,n,i,&poz)){
            Razmeni(&a[i],&a[poz]);
            radi=false;
        }
    }
    if(radi==true){
        Razmeni(&a[n-2],&a[n-1]);
    }
    for(int i=0; i<n; i++){
        cout<<a[i]<<" ";
    }


}